AntiFeatures:
  - NonFreeNet
  - UpstreamNonFree
Categories:
  - Internet
License: GPL-3.0-or-later
WebSite: https://github.com/NekoX-Dev/NekoX
SourceCode: https://github.com/NekoX-Dev/NekoX
IssueTracker: https://github.com/NekoX-Dev/NekoX/issues
Translation: https://hosted.weblate.org/engage/nekox/

AutoName: Nekogram X

RepoType: git
Repo: https://github.com/NekoX-Dev/NekoX

Builds:
  - versionName: 7.5.0-rc05
    versionCode: 211
    commit: v7.5.0-rc05
    timeout: 10800
    subdir: TMessagesProj
    submodules: true
    sudo: apt-get install -y ninja-build
    gradle:
      - fullFdroidArm
    output: build/outputs/apk/full/*/*.apk
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - TMessagesProj
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21d

  - versionName: 7.5.0-rc05
    versionCode: 212
    commit: v7.5.0-rc05
    timeout: 10800
    subdir: TMessagesProj
    submodules: true
    sudo: apt-get install -y ninja-build
    gradle:
      - fullFdroidArm64
    output: build/outputs/apk/full/*/*.apk
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - TMessagesProj
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21d

  - versionName: 7.5.0-rc10
    versionCode: 226
    commit: v7.5.0-rc10
    timeout: 10800
    subdir: TMessagesProj
    submodules: true
    sudo: apt-get install -y ninja-build
    gradle:
      - fullFdroidArm
    output: build/outputs/apk/full/*/*.apk
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - TMessagesProj
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21d

  - versionName: 7.5.0-rc10
    versionCode: 227
    commit: v7.5.0-rc10
    timeout: 10800
    subdir: TMessagesProj
    submodules: true
    sudo: apt-get install -y ninja-build
    gradle:
      - fullFdroidArm64
    output: build/outputs/apk/full/*/*.apk
    prebuild:
      - pushd ..
      - ./run fdroid prebuild
    scandelete:
      - TMessagesProj
    build:
      - pushd ..
      - ./run fdroid build
    ndk: r21d

ArchivePolicy: 6 versions
AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 7.5.0-rc10
CurrentVersionCode: 227
